package com.fs.qw.service;

import com.fs.qw.domain.QwAutoTagsLogs;
import com.fs.qw.param.QwAutoTagsLogsParams;
import com.fs.qw.vo.QwAutoTagsLogsVO;

import java.util.List;

/**
 * 自动打标签的日志Service接口
 * 
 * @author fs
 * @date 2024-07-20
 */
public interface IQwAutoTagsLogsService 
{
    /**
     * 查询自动打标签的日志
     * 
     * @param id 自动打标签的日志主键
     * @return 自动打标签的日志
     */
    public QwAutoTagsLogs selectQwAutoTagsLogsById(Long id);

    /**
     * 查询自动打标签的日志列表
     * 
     * @param qwAutoTagsLogs 自动打标签的日志
     * @return 自动打标签的日志集合
     */
    public List<QwAutoTagsLogs> selectQwAutoTagsLogsList(QwAutoTagsLogs qwAutoTagsLogs);

    public List<QwAutoTagsLogsVO> selectQwAutoTagsLogsListVO(QwAutoTagsLogsParams params);



    /**
     * 新增自动打标签的日志
     * 
     * @param qwAutoTagsLogs 自动打标签的日志
     * @return 结果
     */
    public int insertQwAutoTagsLogs(QwAutoTagsLogs qwAutoTagsLogs);

    /**
     * 修改自动打标签的日志
     * 
     * @param qwAutoTagsLogs 自动打标签的日志
     * @return 结果
     */
    public int updateQwAutoTagsLogs(QwAutoTagsLogs qwAutoTagsLogs);

    /**
     * 批量删除自动打标签的日志
     * 
     * @param ids 需要删除的自动打标签的日志主键集合
     * @return 结果
     */
    public int deleteQwAutoTagsLogsByIds(Long[] ids);

    /**
     * 删除自动打标签的日志信息
     * 
     * @param id 自动打标签的日志主键
     * @return 结果
     */
    public int deleteQwAutoTagsLogsById(Long id);
}
